List an animal's assessments
Newest first, each with its answers as they were given. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
assessments
List an animal's assessments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"name": "<string>",
"done_on": "2023-12-25",
"answers": [
{
"key": "<string>",
"label": "<string>",
"value": "<string>",
"answer": "<string>",
"score": 123
}
],
"filled": {},
"template_id": "<string>",
"notes": "<string>",
"done_by_person_id": "<string>",
"done_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List an animal's assessments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/assessments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"name": "<string>",
"done_on": "2023-12-25",
"answers": [
{
"key": "<string>",
"label": "<string>",
"value": "<string>",
"answer": "<string>",
"score": 123
}
],
"filled": {},
"template_id": "<string>",
"notes": "<string>",
"done_by_person_id": "<string>",
"done_by_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
